View Issue Details

IDProjectCategoryView StatusLast Update
17082Bug reportsOtherpublic2021-04-06 14:43
Reporterf_funke Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.25.12 
Summary17082: text display in plain italics not possible
DescriptionIn the question editor (LimeSurvey 3.25.11 and 4.4.3) there is a button for italic texts. In the question editor itself the text is displayed as intended in italics only. But in the question preview an extra boldness is added. So currently, a simple italic text is not possible in LimeSurvey.

If you switch to the source editor it does not help to change the tag to (I thought that this could make a difference). But you have to go for something like
<em style="font-weight: lighter;">my italic text

which is not very convenient. So I'd guess that the issue can be tackled in the general CSS where either boldness is explicitly added to /
or where it is inherited.

See screenshot:
- left: question editor (correct display of italics)
- middle: question preview (italics also bold)
- right: question preview after changing style (plain italics)
TagsNo tags attached.
Complete LimeSurvey version number (& build)LimeSurvey 3.25.11 and 4.4.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionLS Cloud
Server OS (if known)
Webserver software & version (if known)
PHP VersionLS Cloud

Activities

f_funke

f_funke

2021-02-11 12:22

developer  

grafik.png (34,750 bytes)   
grafik.png (34,750 bytes)   
gabrieljenik

gabrieljenik

2021-02-25 16:42

manager   ~62525

I believe this is a themes issue.
We can change a theme, but I believe that could break some backward compatibility.
DenisChenu

DenisChenu

2021-02-25 17:16

developer   ~62526

Looking at fix : only if you choose Noto as font ?

Then not vanilla ? Right ?
gabrieljenik

gabrieljenik

2021-03-01 14:21

manager   ~62575

I haven't tested on Vanilla yet.
But yes, I guess this may happen on other fonts.
This was a partial upload for review.
DenisChenu

DenisChenu

2021-03-02 09:06

developer   ~62598

Last edited: 2021-03-02 09:06

View 2 revisions

> Then not vanilla ? Right ?

Vanilla force Noto font too … by default, but **why** ! Using web safe wonts is THE way to do (and here it's one proof).
c_schmitz

c_schmitz

2021-03-25 14:52

administrator   ~63606

Release date is unclear as it has been committed to development branch.
gabrieljenik

gabrieljenik

2021-04-06 14:43

manager   ~63820

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31482

Related Changesets

LimeSurvey: master 6ba99dd2

2021-03-25 14:52:00

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17082: text display in plain italics not possible (#1787) Affected Issues
17082
mod - assets/fonts/noto.css Diff File

Issue History

Date Modified Username Field Change
2021-02-11 12:22 f_funke New Issue
2021-02-11 12:22 f_funke Status new => assigned
2021-02-11 12:22 f_funke Assigned To => cdorin
2021-02-11 12:22 f_funke File Added: grafik.png
2021-02-11 12:24 cdorin Assigned To cdorin =>
2021-02-11 12:24 cdorin Priority none => normal
2021-02-11 12:24 cdorin Status assigned => confirmed
2021-02-11 13:00 ollehar Product Version => 3.25.12
2021-02-25 16:42 gabrieljenik Note Added: 62525
2021-02-25 17:16 DenisChenu Note Added: 62526
2021-03-01 14:21 gabrieljenik Note Added: 62575
2021-03-02 09:06 DenisChenu Note Added: 62598
2021-03-02 09:06 DenisChenu Note Edited: 62598 View Revisions
2021-03-25 14:52 c_schmitz Assigned To => c_schmitz
2021-03-25 14:52 c_schmitz Status confirmed => resolved
2021-03-25 14:52 c_schmitz Resolution open => fixed
2021-03-25 14:52 c_schmitz Note Added: 63606
2021-03-29 12:40 c_schmitz Status resolved => closed
2021-04-06 14:43 gabrieljenik Changeset attached => LimeSurvey master 6ba99dd2
2021-04-06 14:43 gabrieljenik Note Added: 63820
2021-04-06 14:43 gabrieljenik Assigned To c_schmitz => gabrieljenik